Package wx :: Class TreeEvent

[frames | no frames]

## Type TreeEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
               NotifyEvent --+
                             |
                            TreeEvent

Proxy of C++ TreeEvent class

Method Summary
TreeEvent | ``__init__`(self, commandType, id)` __init__(self, EventType commandType, TreeCtrl tree, TreeItemId item=NullTreeItemId) -> TreeEvent
TreeItemId | `GetItem(self)`
int | `GetKeyCode(self)`
KeyEvent | `GetKeyEvent(self)`
String | `GetLabel(self)`
TreeItemId | `GetOldItem(self)`
Point | `GetPoint(self)`
String | `GetToolTip(self)`
bool | `IsEditCancelled(self)`
| `SetEditCanceled(self, editCancelled)`
| `SetItem(self, item)`
| `SetKeyEvent(self, evt)`
| `SetLabel(self, label)`
| `SetOldItem(self, item)`
| `SetPoint(self, pt)`
| `SetToolTip(self, toolTip)`

Property Summary
| `EditCancelled`: See `IsEditCancelled` and `SetEditCanceled`
| `Item`: See `GetItem` and `SetItem`
| `KeyCode`: See `GetKeyCode`
| `KeyEvent`: See `GetKeyEvent` and `SetKeyEvent`
| `Label`: See `GetLabel` and `SetLabel`
| `OldItem`: See `GetOldItem` and `SetOldItem`
| `Point`: See `GetPoint` and `SetPoint`
| `thisown`: The membership flag
| `ToolTip`: See `GetToolTip` and `SetToolTip`

Method Details

### __init__(self, commandType=wxEVT_NULL, id=0)
(Constructor)

__init__(self, EventType commandType, TreeCtrl tree, TreeItemId item=NullTreeItemId) -> TreeEvent

  Parameters:
    `commandType`
    (type=EventType)

    `id`
    (type=int)

  Returns:
    TreeEvent
  Overrides:
    `wx.NotifyEvent.__init__`

Property Details

### EditCancelled

See `IsEditCancelled` and `SetEditCanceled`

  Get Method:
    `IsEditCancelled`(self)
  Set Method:
    `SetEditCanceled`(self, editCancelled)

### Item

See `GetItem` and `SetItem`

  Get Method:
    `GetItem`(self)
  Set Method:
    `SetItem`(self, item)

### KeyCode

See `GetKeyCode`

  Get Method:
    `GetKeyCode`(self)

### KeyEvent

See `GetKeyEvent` and `SetKeyEvent`

  Get Method:
    `GetKeyEvent`(self)
  Set Method:
    `SetKeyEvent`(self, evt)

### Label

See `GetLabel` and `SetLabel`

  Get Method:
    `GetLabel`(self)
  Set Method:
    `SetLabel`(self, label)

### OldItem

See `GetOldItem` and `SetOldItem`

  Get Method:
    `GetOldItem`(self)
  Set Method:
    `SetOldItem`(self, item)

### Point

See `GetPoint` and `SetPoint`

  Get Method:
    `GetPoint`(self)
  Set Method:
    `SetPoint`(self, pt)

### thisown

The membership flag

### ToolTip

See `GetToolTip` and `SetToolTip`

  Get Method:
    `GetToolTip`(self)
  Set Method:
    `SetToolTip`(self, toolTip)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:55 2007 | http://epydoc.sf.net